
Installer - Bug #32532

tuning runs without valid tuning level

05/05/2021 08:48 PM - Eric Helms

Status: Closed   

Priority: High   

Assignee: Eric Helms   

Category:    

Target version: 2.5.2   

Difficulty:  Fixed in Releases: 2.5.2

Triaged: No Found in Releases:  

Bugzilla link: 1927679 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/679,

https://github.com/theforeman/foreman-p

ackaging/pull/6617,

https://github.com/theforeman/foreman-p

ackaging/pull/6618,

https://github.com/theforeman/foreman-i

nstaller/pull/697

  

Description

Steps to Reproduce:

1. # satellite-installer --tuning --help

2. # satellite-installer --tuning --something

3. # satellite-installer --tuning --mediuum

Actual results:

1. satellite-installer --tuning --help

~~~

Package versions are locked. Continuing with unlock.

Success!   * Satellite is running at https://ktordeur-testathon.kenny.lan

To install an additional Capsule on separate machine continue by running:   

capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

Capsule is running at https://ktordeur-testathon.kenny.lan:9090

The full log is at /var/log/foreman-installer/satellite.log

Package versions are being locked.

~~~

1. satellite-installer --tuning --something

~~~

2021-02-11 10:10:02 [NOTICE] [pre_migrations] Executing hooks in group pre_migrations

2021-02-11 10:10:02 [NOTICE] [pre_migrations] All hooks in group pre_migrations finished

2021-02-11 10:10:02 [NOTICE] [boot] Executing hooks in group boot

2021-02-11 10:10:02 [NOTICE] [boot] All hooks in group boot finished

2021-02-11 10:10:02 [NOTICE] [init] Executing hooks in group init

2021-02-11 10:10:02 [NOTICE] [init] All hooks in group init finished

2021-02-11 10:10:02 [NOTICE] [root] Loading default values from puppet modules...

2021-02-11 10:10:09 [NOTICE] [root] ... finished

2021-02-11 10:10:09 [NOTICE] [pre_values] Executing hooks in group pre_values

2021-02-11 10:10:09 [NOTICE] [pre_values] All hooks in group pre_values finished

2021-02-11 10:10:12 [NOTICE] [pre_validations] Executing hooks in group pre_validations

2021-02-11 10:10:13 [NOTICE] [pre_validations] All hooks in group pre_validations finished

2021-02-11 10:10:13 [NOTICE] [root] Running validation checks

2021-02-11 10:10:13 [NOTICE] [pre_commit] Executing hooks in group pre_commit

2021-02-11 10:10:16 [NOTICE] [pre_commit] All hooks in group pre_commit finished
2021-02-11 10:10:16 [NOTICE] [pre] Executing hooks in group pre

2021-02-11 10:10:24 [NOTICE] [pre] All hooks in group pre finished

2021-02-11 10:10:24 [NOTICE] [configure] Starting system configuration.

The total number of configuration tasks may increase during the run.

Observe logs or specify --verbose-log-level to see individual configuration tasks.

2021-02-11 10:10:46 [NOTICE] [configure] 100 out of 2466 done.

2021-02-11 10:10:46 [NOTICE] [configure] 200 out of 2466 done.

2021-02-11 10:10:47 [NOTICE] [configure] 300 out of 2466 done.

2021-02-11 10:10:47 [NOTICE] [configure] 400 out of 2466 done.

2021-02-11 10:11:11 [NOTICE] [configure] 500 out of 2466 done.

2021-02-11 10:11:12 [NOTICE] [configure] 600 out of 2466 done.

2021-02-11 10:11:13 [NOTICE] [configure] 700 out of 2466 done.

2021-02-11 10:11:14 [NOTICE] [configure] 800 out of 2468 done.

2021-02-11 10:11:14 [NOTICE] [configure] 900 out of 2468 done.

2021-02-11 10:11:16 [NOTICE] [configure] 1000 out of 2471 done.

2021-02-11 10:11:16 [NOTICE] [configure] 1100 out of 2472 done.

2021-02-11 10:11:17 [NOTICE] [configure] 1200 out of 2477 done.

2021-02-11 10:11:17 [NOTICE] [configure] 1300 out of 2479 done.

2021-02-11 10:11:17 [NOTICE] [configure] 1400 out of 2480 done.

2021-02-11 10:11:17 [NOTICE] [configure] 1500 out of 2483 done.

2021-02-11 10:11:27 [NOTICE] [configure] 1600 out of 2483 done.

2021-02-11 10:11:28 [NOTICE] [configure] 1800 out of 2485 done.

2021-02-11 10:13:02 [NOTICE] [configure] 1900 out of 2485 done.

2021-02-11 10:13:03 [NOTICE] [configure] 2000 out of 2485 done.

2021-02-11 10:13:08 [NOTICE] [configure] 2100 out of 3297 done.

2021-02-11 10:13:08 [NOTICE] [configure] 2200 out of 3297 done.

2021-02-11 10:13:08 [NOTICE] [configure] 2300 out of 3297 done.

2021-02-11 10:13:09 [NOTICE] [configure] 2400 out of 3297 done.

2021-02-11 10:13:09 [NOTICE] [configure] 2500 out of 3297 done.

2021-02-11 10:13:09 [NOTICE] [configure] 2600 out of 3297 done.

2021-02-11 10:13:10 [NOTICE] [configure] 2700 out of 3297 done.

2021-02-11 10:13:10 [NOTICE] [configure] 2800 out of 3297 done.

2021-02-11 10:13:10 [NOTICE] [configure] 2900 out of 3302 done.

2021-02-11 10:13:11 [NOTICE] [configure] 3000 out of 3302 done.

2021-02-11 10:13:11 [NOTICE] [configure] 3100 out of 3302 done.

2021-02-11 10:13:19 [NOTICE] [configure] 3200 out of 3302 done.

2021-02-11 10:13:21 [NOTICE] [configure] 3300 out of 3302 done.

2021-02-11 10:13:26 [NOTICE] [configure] System configuration has finished.

2021-02-11 10:13:26 [NOTICE] [post] Executing hooks in group post

Success!   * Satellite is running at https://ktordeur-testathon.kenny.lan

To install an additional Capsule on separate machine continue by running:   

capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

Capsule is running at https://ktordeur-testathon.kenny.lan:9090

The full log is at /var/log/foreman-installer/satellite.log

Package versions are being locked.

2021-02-11 10:13:29 [NOTICE] [post] All hooks in group post finished

~~~

Expected results:

Invalid tuning profile

'something' is not one of default, medium, large, extra-large, extra-extra-large

Additional info:

This probably affects older versions also.

Associated revisions

Revision de9619fc - 05/10/2021 03:15 PM - Eric Helms

Fixes #32532: Ensure a valid tuning option is supplied

Adds a validator to the tuning option to ensure that what is supplied

on the command line is in fact one of the valid options.
History

#1 - 05/05/2021 08:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/679 added

#2 - 05/10/2021 12:33 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/6617 added

#3 - 05/10/2021 12:36 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/6618 added

#4 - 05/10/2021 03:15 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#5 - 05/10/2021 04:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|de9619fc9cc5dd0a964f8533f559aa026aebb2a9.

#6 - 07/15/2021 12:29 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/697 added

#7 - 07/15/2021 12:42 PM - Eric Helms

- Subject changed from tuning runs without valid tuning level

 to tuning runs without valid tuning level

- Target version set to 2.5.2

- Fixed in Releases 2.5.2 added

- Fixed in Releases deleted (3.0.0)

#8 - 07/15/2021 01:08 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/6894 added

#9 - 07/15/2021 01:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/6895 added

#10 - 03/25/2022 04:30 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/7749 added

#11 - 03/25/2022 04:39 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/7749, https://github.com/theforeman/foreman-packaging/pull/6895,

https://github.com/theforeman/foreman-packaging/pull/6894)
